Name:          simpleclient
Version:       0.0.14
Release:       1%{?dist}
Summary:       Prometheus instrumentation library for JVM applications
# CC0: ./simpleclient/src/main/java/io/prometheus/client/DoubleAdder.java
# ./simpleclient/src/main/java/io/prometheus/client/Striped64.java
# Source files without license headers https://github.com/prometheus/client_java/issues/127
License:       ASL 2.0 and CC0
URL:           https://github.com/prometheus/client_java/
Source0:       https://github.com/prometheus/client_java/archive/parent-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(ch.qos.logback:logback-classic)
%if %{?fedora} < 24
BuildRequires: mvn(com.codahale.metrics:metrics-core)
%else
BuildRequires: mvn(io.dropwizard.metrics:metrics-core)
%endif
BuildRequires: mvn(javax.servlet:javax.servlet-api)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(log4j:log4j:1.2.17)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.eclipse.jetty:jetty-servlet:8.1)
BuildRequires: mvn(org.mockito:mockito-core)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)

Provides:      bundled(jsr166e) = 1.8

BuildArch:     noarch

%description
Prometheus JVM Client supports Java, Clojure, Scala,
JRuby, and anything else that runs on the JVM.

%package common
Summary:       Prometheus Java Simpleclient Common

%description common
Common code used by various modules of the Simpleclient.

%package dropwizard
Summary:       Prometheus Java Simpleclient Dropwizard

%description dropwizard
Collector of data from Dropwizard metrics library.

%package graphite_bridge
Summary:       Prometheus Java Simpleclient Graphite Bridge

%description graphite_bridge
Graphite bridge for the simpleclient.

%package hotspot
Summary:       Prometheus Java Simpleclient Hotspot

%description hotspot
Collectors of data from Java Hotspot.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%package log4j
Summary:       Prometheus Java Simpleclient LOG4J

%description log4j
Metrics collector for LOG4J appender logging.

%package logback
Summary:       Prometheus Java Simpleclient Logback

%description logback
Metrics collector for Logback appender logging.

%package parent
Summary:       Prometheus Java Suite Parent POM

%description parent
Prometheus Java Suite Parent POM.

%package pushgateway
Summary:       Prometheus Java Simpleclient Pushgateway

%description pushgateway
Pushgateway exporter for the simpleclient.

%package servlet
Summary:       Prometheus Java Simpleclient Servlet

%description servlet
HTTP servlet exporter for the simpleclient.

%prep
%setup -q -n client_java-parent-%{version}

# io.prometheus:client:0.0.10
%pom_disable_module benchmark

%pom_remove_plugin :maven-deploy-plugin
%pom_remove_plugin :maven-release-plugin

%if %{?fedora} < 24
%pom_change_dep -r io.dropwizard.metrics:metrics-core com.codahale.metrics:metrics-core
%endif

%pom_change_dep -r org.eclipse.jetty: ::8.1

# org.mock-server:mockserver-netty:3.9.17
%pom_remove_dep -r org.mock-server:
rm simpleclient_pushgateway/src/test/java/io/prometheus/client/exporter/PushGatewayTest.java

# AssertionError: expected:<74.0> but was:<74.75>
rm simpleclient_dropwizard/src/test/java/io/prometheus/client/dropwizard/DropwizardExportsTest.java

%build

%mvn_build -s

%install
%mvn_install

%files -f .mfiles-%{name}
%doc AUTHORS.md README.md
%license LICENSE NOTICE

%files common -f .mfiles-%{name}_common
%files dropwizard -f .mfiles-%{name}_dropwizard
%files graphite_bridge -f .mfiles-%{name}_graphite_bridge
%files hotspot -f .mfiles-%{name}_hotspot

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE

%files log4j -f .mfiles-%{name}_log4j
%files logback -f .mfiles-%{name}_logback
%files parent -f .mfiles-parent
%license LICENSE NOTICE

%files pushgateway -f .mfiles-%{name}_pushgateway
%files servlet -f .mfiles-%{name}_servlet

%changelog
* Thu Jul 07 2016 gil cattaneo <puntogil@libero.it> 0.0.14-1
- initial rpm
